Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_NVList_out Class Reference

The T_out class for NVList. More...

`#include <NVList.h>`

Collaboration diagram for CORBA_NVList_out:

[legend]
List of all members.

## Public Methods
| CORBA_NVList_out (CORBA_NVList_ptr &)
| CORBA_NVList_out (CORBA_NVList_var &)
| CORBA_NVList_out (CORBA_NVList_out &)
CORBA_NVList_out& | operator= (CORBA_NVList_out &)
CORBA_NVList_out& | operator= (const CORBA_NVList_var &)
CORBA_NVList_out& | operator= (CORBA_NVList_ptr)
| operator CORBA_NVList_ptr & ()
CORBA_NVList_ptr& | ptr (void)
CORBA_NVList_ptr | operator-> (void)
## Private Attributes
CORBA_NVList_ptr& | ptr_

## Detailed Description

The T_out class for NVList.

As any other pseudo object NVList must have a T_out class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_NVList_ptr as the _ptr type instead of CORBA::NVList_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_NVList_out::CORBA_NVList_out ( | CORBA_NVList_ptr & p )

ACE_INLINE CORBA_NVList_out::CORBA_NVList_out ( | CORBA_NVList_var & p )

ACE_INLINE CORBA_NVList_out::CORBA_NVList_out ( | CORBA_NVList_out & p )

## Member Function Documentation

ACE_INLINE CORBA_NVList_out::operator CORBA_NVList_ptr & ( | )

ACE_INLINE CORBA_NVList_ptr CORBA_NVList_out::operator-> ( | void )

ACE_INLINE CORBA_NVList_out & CORBA_NVList_out::operator= ( | CORBA_NVList_ptr p )

ACE_INLINE CORBA_NVList_out & CORBA_NVList_out::operator= ( | const CORBA_NVList_var & p )

ACE_INLINE CORBA_NVList_out & CORBA_NVList_out::operator= ( | CORBA_NVList_out & p )

ACE_INLINE CORBA_NVList_ptr & CORBA_NVList_out::ptr ( | void )

## Member Data Documentation

CORBA_NVList_ptr & CORBA_NVList_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- NVList.h
- NVList.i